com.trilead.ssh2.crypto.digest

## Class HashForSSH2Types

- java.lang.Object
- - com.trilead.ssh2.crypto.digest.HashForSSH2Types

    public class HashForSSH2Types
    extends java.lang.Object

HashForSSH2Types.

### Constructor Summary

Constructors
Constructor and Description
`HashForSSH2Types(Digest md)`
`HashForSSH2Types(java.lang.String type)`

### Method Summary

Methods
`byte[]` `getDigest()`
`void` `getDigest(byte[] out)`
`void` `getDigest(byte[] out, int off)`
`int` `getDigestLength()`
`void` `reset()`
`void` `updateBigInt(java.math.BigInteger b)`
`void` `updateByte(byte b)`
`void` `updateBytes(byte[] b)`
`void` `updateByteString(byte[] b)`
`void` `updateUINT32(int v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HashForSSH2Types

    public HashForSSH2Types(Digest md)

#### HashForSSH2Types

    public HashForSSH2Types(java.lang.String type)

### Method Detail

#### updateByte

    public void updateByte(byte b)

#### updateBytes

    public void updateBytes(byte[] b)

#### updateUINT32

    public void updateUINT32(int v)

#### updateByteString

    public void updateByteString(byte[] b)

#### updateBigInt

    public void updateBigInt(java.math.BigInteger b)

#### reset

    public void reset()

#### getDigestLength

    public int getDigestLength()

#### getDigest

    public byte[] getDigest()

#### getDigest

    public void getDigest(byte[] out)

#### getDigest

    public void getDigest(byte[] out,
                 int off)